extends ../layout

block content
  .m-grid__item.m-grid__item--fluid.m-wrapper
    // BEGIN: Subheader
    .m-subheader
      .d-flex.align-items-center
        .mr-auto
          h3.m-subheader__title My Profile
        div
          .m-dropdown.m-dropdown--inline.m-dropdown--arrow.m-dropdown--align-right.m-dropdown--align-push(m-dropdown-toggle='hover' aria-expanded='true')
            a.m-portlet__nav-link.btn.btn-lg.btn-secondary.m-btn.m-btn--outline-2x.m-btn--air.m-btn--icon.m-btn--icon-only.m-btn--pill.m-dropdown__toggle(href='#')
              i.la.la-plus.m--hide
              i.la.la-ellipsis-h
            .m-dropdown__wrapper
              span.m-dropdown__arrow.m-dropdown__arrow--right.m-dropdown__arrow--adjust
              .m-dropdown__inner
                .m-dropdown__body
                  .m-dropdown__content
                    ul.m-nav
                      li.m-nav__section.m-nav__section--first.m--hide
                        span.m-nav__section-text Quick Actions
                      li.m-nav__item
                        a.m-nav__link(href='')
                          i.m-nav__link-icon.flaticon-share
                          span.m-nav__link-text Activity
    // END: Subheader
    .m-content
      .row
        .col-xl-3.col-lg-4
          .m-portlet.m-portlet--full-height
            .m-portlet__body
              .m-card-profile
                .m-card-profile__title.m--hide
                  | Your Profile
                .m-card-profile__pic
                  .m-card-profile__pic-wrapper
                    img(src=user.gravatar() alt='')
                .m-card-profile__details
                  span.m-card-profile__name #{user.profile.name}
                  a.m-card-profile__email.m-link(href='') #{user.email}
              ul.m-nav.m-nav--hover-bg.m-portlet-fit--sides
                li.m-nav__separator.m-nav__separator--fit
                li.m-nav__section.m--hide
                  span.m-nav__section-text Section
                li.m-nav__item
                  a.m-nav__link(href='/account')
                    i.m-nav__link-icon.flaticon-profile-1
                    span.m-nav__link-title
                      span.m-nav__link-wrap
                        span.m-nav__link-text My Profile
                        span.m-nav__link-badge
                          span.m-badge.m-badge--success 2
                li.m-nav__item
                  a.m-nav__link(href='/activity')
                    i.m-nav__link-icon.flaticon-share
                    span.m-nav__link-text Activity
              .m-portlet__body-separator
        .col-xl-9.col-lg-8
          .m-portlet.m-portlet--full-height.m-portlet--tabs
            .m-portlet__head
              .m-portlet__head-tools
                ul.nav.nav-tabs.m-tabs.m-tabs-line.m-tabs-line--left.m-tabs-line--primary(role='tablist')
                  li.nav-item.m-tabs__item
                    a.nav-link.m-tabs__link.active(data-toggle='tab' href='#m_user_profile_tab_1' role='tab')
                      i.flaticon-share.m--hide
                      | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;Update Profile
            .tab-content
              #m_user_profile_tab_1.tab-pane.active
                if(!user.profile.name || !user.profile.gender || !user.profile.phone || !user.profile.location)
                  .m-alert.m-alert--icon.alert.alert-danger(role='alert')
                    .m-alert__icon
                      i.la.la-warning
                    .m-alert__text
                        p Please provide essential details before using the app. ( Full name, Gender, Phone No and Address City )
                    .m-alert__close
                      button.close(type='button' data-close='alert' aria-label='Hide')
                form(action='/account/profile' method='POST').m-form.m-form--fit.m-form--label-align-right
                  .m-portlet__body
                    .form-group.m-form__group.m--margin-top-10.m--hide
                      .alert.m-alert.m-alert--default(role='alert')
                        | The example form below demonstrates common HTML form elements that receive updated styles from Bootstrap with additional classes.
                    .form-group.m-form__group.row
                      .col-10.ml-auto
                        h3.m-form__section 1. Personal Details
                    .form-group.m-form__group.row
                      label.col-2.col-form-label(for='example-text-input') Full Name
                      .col-7
                        input.form-control.m-input(type='text' name="name" value=user.profile.name)
                        input(type='hidden', name='_csrf', value=_csrf)
                        input(type='hidden', name='email', value=user.email)
                    .form-group.m-form__group.row
                      label.col-2.col-form-label(for='example-text-input') Occupation
                      .col-7
                        input.form-control.m-input(type='text' name="occupation" value=user.profile.occupation)
                    .form-group.m-form__group.row
                      label.col-2.col-form-label(for='example-text-input') Gender
                      .col-7
                        input.form-control.m-input(type='text' name="gender" value=user.profile.gender)
                    .form-group.m-form__group.row
                      label.col-2.col-form-label(for='example-text-input') Phone No.
                      .col-7
                        input.form-control.m-input(type='text' name="phone" value=user.profile.phone)
                    .m-form__seperator.m-form__seperator--dashed.m-form__seperator--space-2x
                    .form-group.m-form__group.row
                      .col-10.ml-auto
                        h3.m-form__section 2. Address
                    .form-group.m-form__group.row
                      label.col-2.col-form-label(for='example-text-input') Address
                      .col-7
                        input.form-control.m-input(type='text' name="address_line" value=user.address.line)
                    .form-group.m-form__group.row
                      label.col-2.col-form-label(for='example-text-input') City
                      .col-7
                        input.form-control.m-input(type='text' name="address_city" value=user.address.city)
                    .form-group.m-form__group.row
                      label.col-2.col-form-label(for='example-text-input') State
                      .col-7
                        input.form-control.m-input(type='text' name="address_state" value=user.address.state)
                    .form-group.m-form__group.row
                      label.col-2.col-form-label(for='example-text-input') Country
                      .col-7
                        input.form-control.m-input(type='text' name="address_country" value=user.address.country)
                    .form-group.m-form__group.row
                      label.col-2.col-form-label(for='example-text-input') Postcode
                      .col-7
                        input.form-control.m-input(type='text' name="address_postcode" value=user.address.postcode)
                    .m-form__seperator.m-form__seperator--dashed.m-form__seperator--space-2x
                  .m-portlet__foot.m-portlet__foot--fit
                    .m-form__actions
                      .row
                        .col-2
                        .col-7
                          button.btn.btn-accent.m-btn.m-btn--air.m-btn--custom(type='submit') Save changes
                          button.btn.btn-secondary.m-btn.m-btn--air.m-btn--custom(type='reset') Cancel
              #m_user_profile_tab_2.tab-pane
              #m_user_profile_tab_3.tab-pane

